%% Ejemplo 3: Codigo Huffman

% Se definen los simbolos
symbols={'-1.5','-1','-0.5','0','0.5','1','1.5'};
%Probabilidad
p = [0.001 0.003 0.018 0.953 0.021 0.003 0.001];

% Generacion de Codigo Huffman
[dict,avglen] = huffmandict(symbols,p)

% Mostrar el codigo
fprintf('\n--------------');
fprintf('\nNombre: Codigo');
fprintf('\n--------------');

for x=1:length(symbols)
    fprintf('\n %5s: ',dict{x,1});
    fprintf('%d',dict{x,2});
end
fprintf('\n---------------------------');
fprintf('\n Longitud promedio: %5.3f',avglen);
fprintf('\n---------------------------\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo y Juan A. Michell                    %%
%% ruizrg@unican.es, michellj@unican.es                         %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%